[Overview][Constants][Procedures and functions][Index] | Reference for unit 'dateutils' (#rtl)

# EncodeDayOfWeekInMonth

Encodes a year, month, week, day of week specification to a TDateTime value

## Declaration

Source position: dateutil.inc line 377

`function EncodeDayOfWeekInMonth(`
`const AYear: Word;`
`const AMonth: Word;`
`const ANthDayOfWeek: Word;`
`const ADayOfWeek: Word`
`):TDateTime;`

## Arguments

`AYear` |  | Year
`AMonth` |  | Month in the year
`ANthDayOfWeek` |  | Week in the month
`ADayOfWeek` |  | Day of the week

## Function result

TDateTime value representing AYear , AMonthANthDayOfWeek .and ADayOfWeek.

## Description

EncodeDayOfWeekInMonth encodes AYear, AMonth, ADayOfweek and ANthDayOfweek to a valid date stamp and returns the result.

ANthDayOfweekis the N-th time that this weekday occurs in the month, e.g. the third saturday of the month.

For an example, see DecodeDayOfWeekInMonth.

## Errors

If any of the values is not in range, then an EConvertError exception will be raised.

## See also

NthDayOfWeek |  | Calculate which occurrence of weekday in the month a given day represents
EncodeDateMonthWeek |  | Encodes a year, month, week of month and day of week to a DateTime value
#rtl.sysutils.DayOfWeek |  | Returns the day of the week.
DecodeDayOfWeekInMonth |  | Decode a DateTime value in year, month, day of week parts
TryEncodeDayOfWeekInMonth |  | Encode a year, month, week, day of week triplet to a TDateTime value

Documentation generated on: Feb 26 2014